## org.firebirdsql.gds.impl.jni
Class GDSSynchronizationPolicy.ClientLibrarySyncPolicy

    java.lang.Object
      org.firebirdsql.gds.impl.jni.GDSSynchronizationPolicy.AbstractSynchronizationPolicy
          org.firebirdsql.gds.impl.jni.GDSSynchronizationPolicy.ClientLibrarySyncPolicy

All Implemented Interfaces:
  Serializable, InvocationHandler

Enclosing class:
  GDSSynchronizationPolicy

    public static class GDSSynchronizationPolicy.ClientLibrarySyncPolicy

extends GDSSynchronizationPolicy.AbstractSynchronizationPolicy

Synchronization policy that ensures one thread per library.

See Also:
  Serialized Form

Field Summary
`static Object` `SYNC_OBJECT`

Constructor Summary
`GDSSynchronizationPolicy.ClientLibrarySyncPolicy(GDS gds)`

Method Summary
`protected Object` `getSynchronizationObject()` Get synchronization object.

Methods inherited from class org.firebirdsql.gds.impl.jni.GDSSynchronizationPolicy.AbstractSynchronizationPolicy
`getGds, invoke`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SYNC_OBJECT

    public static final Object SYNC_OBJECT

Constructor Detail

### GDSSynchronizationPolicy.ClientLibrarySyncPolicy

    public GDSSynchronizationPolicy.ClientLibrarySyncPolicy(GDS gds)

Method Detail

### getSynchronizationObject

    protected Object getSynchronizationObject()

  Get synchronization object. Object returned by this method checks that only one thread accesses Firebird client library.

  Specified by:
    `getSynchronizationObject` in class `GDSSynchronizationPolicy.AbstractSynchronizationPolicy`
  Returns:
    synchronization object.

Copyright © 2001-2010. All Rights Reserved.